Bug 88761 - Table of checkbox control in Autocorrect Options dialog not exposed to AT
Summary: Table of checkbox control in Autocorrect Options dialog not exposed to AT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
: 92041 (view as bug list)
Depends on:
Blocks: a11y AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-01-23 21:18 UTC by am_dxer
Modified: 2019-06-17 02:47 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screen clip of the Autocorrect Options dialog Options tab (30.51 KB, image/png)
2016-06-16 18:49 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2015-01-23 21:18:36 UTC
When opening the auto-correct dialog and moving to the options tabb orca has trouble reading the replacements and exceptions list box. I notice some checkboxes, however, orca does not tell me what these are when I use the arrow keys to move between them. It only announces the state of the control and not its label. I can see the labels by using the flat review function of orca, however, this isn't the most ideal way to know which setting is being changed.
Comment 1 tommy27 2015-01-24 06:45:00 UTC
can you post a screenshot?
Comment 2 tommy27 2015-02-28 21:26:24 UTC
set status to NEEDINFO still waiting for feedback from reporter
Comment 3 QA Administrators 2015-09-04 02:55:39 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-10-14 19:48:36 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2015-12-18 09:28:04 UTC Comment hidden (obsolete)
Comment 6 am_dxer 2016-06-16 17:59:42 UTC
Hello,
I am blind so it is hard for me to provide a screenshot. I can confirm that this still exists with latest master for both NVDA and Orca.
Steps to reproduce:
1: Open the tools menu and select the autoCorrect submenu.
2: Select AutoCorrect Options.
3: Select the Options Tab.
4: use arrow keys to navigate the checkboxes with NVDA and Orca. Observe that the state of the checkbox is announced but not its label.
Comment 7 V Stuart Foote 2016-06-16 18:49:48 UTC
Created attachment 125695 [details]
screen clip of the Autocorrect Options dialog Options tab

Confirming on Windows as well

Windows 8.1 Ent 64-bit en-US with NVDA 2016.1 and
Version: 5.1.4.1 (x64)
Build ID: a4d48e4ff0e9f93e78b6356ca7b0b6303e360356
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; 
Locale: en-US (en_US)

On the Tools -> AutoCorrect Options dialog, the "Options" tab table of check-box widgets (a column [M] for while Modifying existing text, and a column [T] for while Typing).  Just the first column check-box for the [M] label will sound. The second column [T] check-boxes do not sound nor do the lables as to the action--e.g. "Use replacement table", "Correct TWo INitial CApitals", "Capitalize first letter of every sentence", etc.

The "Localized Options" tab has the same sounding issues for the check-boxes and labels. But also no rendering of the "Single Quotes" and "Double Quotes" settings.
Comment 8 Alex ARNAUD 2016-06-21 10:35:18 UTC
Dear contributors,

I can reproduce the bug on GNU/Linux.

Environment : 
- Debian Jessie (8.5)
- LibreOffice GTK2 5.1.3
- Orca 3.20.2

If you need more informations for testing, you can ask me here or on IRC.

Best regards.
Comment 9 Yousuf Philips (jay) (retired) 2016-09-14 19:13:52 UTC
*** Bug 92041 has been marked as a duplicate of this bug. ***
Comment 10 Yousuf Philips (jay) (retired) 2016-09-14 19:24:59 UTC
So you can press up and down in the control but it stays in the [M] column and left and right should likely allow to switch to the [T] column.

(In reply to V Stuart Foote from comment #7)
> But also no rendering of the "Single Quotes" and "Double Quotes" settings.

Can you explain this further as i didnt get it?
Comment 11 V Stuart Foote 2016-09-14 22:30:27 UTC
(In reply to Yousuf Philips (jay) from comment #10)

> (In reply to V Stuart Foote from comment #7)
> > But also no rendering of the "Single Quotes" and "Double Quotes" settings.
> 
> Can you explain this further as i didnt get it?

The AutoCorrect dialog handling of the Options and Localized Options tabs remain inaccessible as described.

Sorry, I checked this just now with

On Widnows 8.1 Ent 64-bit en-US with
With NVDA 2016.1 and 

Version: 5.2.2.1 (x64)
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; 
Locale: en-US (en_US); Calc: group

The Single Quote and Double Quotes substitution controls and the special character selection dialog are fully sounding accessible events to screen reader.

So this facet is correct.
Comment 12 am_dxer 2017-05-30 13:12:37 UTC
I tested this with old versions of OpenOffice and could reproduce it. My guess is that this never worked and so there is nothing to bisect. Does anyone else have comments on this?
Comment 13 Yousuf Philips (jay) (retired) 2017-05-30 19:19:23 UTC
@Maxim: Can you have a peek at svxcorelo-SvxCheckListBox and see what is possible to improve accessibility with this control.

http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/acoroptionspage.ui
Comment 14 QA Administrators 2018-05-31 02:52:44 UTC Comment hidden (obsolete)
Comment 15 am_dxer 2018-05-31 03:09:30 UTC
Still present in 6.1.
Comment 16 QA Administrators 2018-06-01 02:16:10 UTC Comment hidden (obsolete)
Comment 17 Alex ARNAUD 2018-06-16 13:40:34 UTC
Hello all,

I can always reproduce this bug on LibreOffice 6.2 daily build.

Best regards,
Alex.
Comment 18 QA Administrators 2019-06-17 02:47:18 UTC
Dear am_dxer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug